//#define XERR
#include "cidr.ih"

Cidr::Cidr(string const &range)
{
    if (range.find('/') != string::npos)    // IPv6 whois info may contain
    {                                       // its cidr-range
        d_from = range;
        d_isCidr = true;
        return;
    }

    d_isCidr = false;
    istringstream in{ range };

    in >> d_from;
    d_first = binary(d_from);

    string address;
    in >> address >> address;       // skips the - between the addresses
    d_last = binary(address);
}
