#include "main.ih"

namespace
{
    ArgConfig::LongOption longOpts[] =
    {
        ArgConfig::LongOption{ "cls",       ArgConfig::Required },
        ArgConfig::LongOption{ "config",    'c' },
        ArgConfig::LongOption{ "help",      'h'},
        ArgConfig::LongOption{ "received",  'r'},
        ArgConfig::LongOption{ "version",   'v'},
    };
}

int main(int argc, char **argv)
try
{
    Options::initialize(
        usage, Icmake::version,
        ArgConfig::initialize("c:hr:v", longOpts, end(longOpts), argc, argv)
    );

    Inspector inspector;
    inspector.run();
}
catch (...)
{
    return handleException();
}
