//#define XERR
#include "options.ih"

Options::Options(void (*usage)(string const &),
                 char const *version, FBB::ArgConfig &arg)
:
    d_arg(arg),
    d_preamble(arg.option(0, "preamble") != 0),
    d_syntax(arg.option(0, "syntax") != 0)
{
    d_arg.versionHelp(usage, version, 1);

    d_arg.option(&d_expire, 'e');
    d_interactive = arg.option('i') != 0;

    setBase();

    configFile();                   // cd to the configfile's dir, load it.
    rulesFile();
    logFile();

    if (expiration())
        return;

    mailFiles();
}
