#define XERR
#include "options.ih"

Options::Options(void (*usage)(string const &),
                 char const *version, FBB::ArgConfig &arg)
:
    d_arg(arg)
{
    d_arg.versionHelp(usage, version, 0);

    setBase();

    configFile();                   // cd to the configfile's dir, load it.

    d_arg.option(&d_received, 'r');

    string what;
    if (size_t count = d_arg.option(&what, "cls"); count <= 1)
        d_cls = count == 0 || what == "yes";
    else
        throw Exception{} << "Option --cls can only be specified once";

    xerr("cls options: " << d_cls);
}
